<?php

namespace Picea\ControlStructure;

class TryCatchToken implements ControlStructure {

    public array $token = [ "try", "catch", "finally", "endtry" ];

    public function parse(\Picea\Compiler\Context &$context, ?string $arguments, string $token, array $options = []) : string {
        switch($token) {
            case "try":

                return "<?php try { ?>";
                
            case "catch":
                return "<?php } catch($arguments) { ?>";

            case "finally":
                return "<?php } finally { ?>";

            case "endtry":
                return "<?php } ?>";
        }
    }
}
